perl-Bundle-ExCore-0.003-alt1.noarch.rpm


Advertisement

Description

perl-Bundle-ExCore - modules (to be) removed from the perl5 core

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package name perl-Bundle-ExCore
Package version 0.003
Package release alt1
Package architecture noarch
Package type rpm
Installed size 5.78 KB
Download size 5.78 KB
Official Mirror ftp.altlinux.org
Starting with perl v5.11.0, modules that once were Perl core or dual-life
modules could be deprecated and eventually removed from standard perl5
distributions, to become CPAN-only modules.
Bundle::ExCore is for you if you want to re-install most of those from
CPAN with a single step.  It can also be useful to upgrade them to their
latest stable releases to get rid of deprecation warnings.
If your code depends on one of these modules, you should still make sure
it is properly listed as a prerequisite, though.  Do not just install
Bundle::ExCore and ignore the issue.
Some modules have been deprecated and removed from their CPAN
distributions after being removed from core.  Installing one of those
would require an older version of the distribution rather than the latest
stable one.  Bundle::ExCore tries not to force you into this, as it is
intended to give back useful stuff dropped from the core rather than
standing in the way of progress.  This is why Bundle::ExCore contains
generally only main modules of CPAN distributions.  What is still present
in the distribution at the time of the upgrade will be pulled in as well,
but abandoned modules will not.
If one of the distributions of bundled modules is split into different
parts, Bundle::ExCore has to be updated to include a module of each of
the new parts containing former core stuff.

Alternatives

Package Version Architecture Repository
perl-Bundle-ExCore - - -

Requires

Name Value
/usr/share/perl5 -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Bundle/ExCore.pm) = 0.003
perl(Bundle/ExCore/Perl5012.pm) = 0.003
perl(Bundle/ExCore/Perl5018.pm) = 0.003
perl(Bundle/ExCore/Perl5020.pm) = 0.003
perl-Bundle-ExCore = 0.003-alt1

Download

Type URL
Binary Package perl-Bundle-ExCore-0.003-alt1.noarch.rpm
Source Package perl-Bundle-ExCore-0.003-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Bundle-ExCore rpm package:
    # sudo apt-get install perl-Bundle-ExCore

Files

Path
/usr/share/doc/perl-Bundle-ExCore-0.003/Changes
/usr/share/doc/perl-Bundle-ExCore-0.003/README
/usr/share/perl5/Bundle/ExCore.pm
/usr/share/perl5/Bundle/ExCore/Perl5012.pm
/usr/share/perl5/Bundle/ExCore/Perl5018.pm
/usr/share/perl5/Bundle/ExCore/Perl5020.pm

See Also

Package Description
perl-Bundle-Expect-1.09-alt1.noarch.rpm perl module Bundle-Expect
perl-Bundle-GMOD-1.0-alt1.noarch.rpm Prerequisites for GMOD applications
perl-Bundle-GimpTest-0.2.2-alt1.noarch.rpm A bundle to install external CPAN modules used by GIMP's
perl-Bundle-Git-LongList1-0.02-alt1.noarch.rpm Installs git modules
perl-Bundle-Git-LongList2-0.03-alt1.noarch.rpm unknown
perl-Bundle-Git-LongList3-0.01-alt1.noarch.rpm Installs git modules
perl-Bundle-Gnome2-0.12-alt1.noarch.rpm perl module Bundle-Gnome2
perl-Bundle-HTMLWikiConverter-0.04-alt1.noarch.rpm perl module Bundle-HTMLWikiConverter
perl-Bundle-HollyKing-1.01-alt1.noarch.rpm perl module Bundle-HollyKing
perl-Bundle-IO-Compress-Bzip2-2.074-alt1.noarch.rpm Install IO::Compress::Bzip2 and dependencies
perl-Bundle-Interchange-1.08-alt2.noarch.rpm A bundle of the modules nice to have for Interchange 5
perl-Bundle-InterchangeKitchenSink-1.14-alt2.noarch.rpm A bundle of most all the modules nice to have for Interchange. A lot of stuff
perl-Bundle-JONASBN-0.06-alt1.noarch.rpm Collection of modules often used by jonasbn
perl-Bundle-Knetrix-1.0-alt1.noarch.rpm perl module Bundle-Knetrix
perl-Bundle-KohaSupport-0.31-alt1.noarch.rpm perl module Bundle-KohaSupport
Advertisement
Advertisement